package sharin.doc.builder.xhtml1;

public class LinkElem extends GenericCommonElem<LinkElem> {

    public LinkElem(Object... nodes) {
        super("link", nodes);
    }

    public LinkElem charset(Object value) {
        return attr("charset", value);
    }

    public LinkElem href(Object value) {
        return attr("href", value);
    }

    public LinkElem hreflang(Object value) {
        return attr("hreflang", value);
    }

    public LinkElem media(Object value) {
        return attr("media", value);
    }

    public LinkElem rel(Object value) {
        return attr("rel", value);
    }

    public LinkElem rev(Object value) {
        return attr("rev", value);
    }

    public LinkElem target(Object value) {
        return attr("target", value);
    }

    public LinkElem type(Object value) {
        return attr("type", value);
    }
}
